import React, { useState } from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';

import Check from '../assets/check.svg';

const propTypes = {
  id: PropTypes.string,
  disabled: PropTypes.bool
};

const StyledCheckbox = styled.input.attrs({
  type: 'checkbox'
})`
  -webkit-appearance: none;
  position: relative;
  width: 16px;
  height: 16px;
  border: 1px solid #ced1d5;
  border-radius: 2px;
  outline: none;
  cursor: pointer;

  &::after {
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    display: block;
    width: 16px;
    height: 16px;
    background: url(${Check}) no-repeat center;
    background-size: 9px 7px;
    visibility: hidden;
  }

  &:checked {
    border: 1px solid #0485cc;
    background: #0485cc;
  }

  &:checked::after {
    visibility: visible;
  }
`;

const Checkbox = props => {
  const [isChecked, setIsChecked] = useState(false);
  const handleChange = () => {
    setIsChecked(!isChecked);
  };

  return (
    <StyledCheckbox checked={isChecked} onChange={handleChange} {...props} />
  );
};

Checkbox.propTypes = propTypes;

export default Checkbox;
