import React from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';

const propTypes = {
  placeholder: PropTypes.string,
  disabled: PropTypes.bool
};

const StyledInput = styled.input.attrs({
  type: 'text'
})`
  padding: 8px 12px;
  width: 100%;
  border: 1px solid #dadcdf;
  border-radius: 1px;
  color: #afb3ba;
  background-color: #fff;
  font-size: 14px;
  box-shadow: none;
  outline: none;

  &:focus::-webkit-input-placeholder {
    color: #2f3337;
  }

  &:focus:-moz-placeholder {
    color: #2f3337;
  }

  &:focus:-ms-input-placeholder {
    color: #2f3337;
  }

  &:focus {
    border-color: #0485cc;
    color: #2f3337;
  }

  &:disabled {
    background-color: #f5f6f7;
    border: 1px solid #e7e8ea;
    cursor: no-drop;
  }
`;

const Input = props => <StyledInput {...props} />;

Input.propTypes = propTypes;

export default Input;
